package csns.test;

import java.util.List;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.ClassPathResource;

import csns.model.File;
import csns.model.User;
import csns.model.dao.FileDao;
import csns.model.dao.UserDao;

public class FileTest {

    private UserDao userDao;
    private FileDao fileDao;

    public void test()
    {
        User user = userDao.getUserByName( "s0001" );

        print( fileDao.getTopLevelFiles( user ) );
        List<File> topLevelFolders = fileDao.getTopLevelFolders( user );
        print( topLevelFolders );
        print( fileDao.listFolders( topLevelFolders.get( 0 ) ) );

        System.out.println( fileDao.getDiskUsage( user ) );
    }

    public void print( List<File> files )
    {
        for( File file : files )
            System.out.println( file.getName() );
    }

    public void setUserDao( UserDao userDao )
    {
        this.userDao = userDao;
    }

    public void setFileDao( FileDao fileDao )
    {
        this.fileDao = fileDao;
    }

    public static void main( String args[] )
    {
        BeanFactory factory = new XmlBeanFactory( new ClassPathResource(
            "filetest.xml" ) );
        FileTest fileTest = (FileTest) factory.getBean( "fileTest" );
        fileTest.test();
    }

}
